define(['dojo/_base/declare', 'dojo/_base/lang'], function(declare, lang) {
	var thisWindow = window;
	var getMainApplicationWindow = function(){
		var found = false;
		var cantFind = false;
		var appWindow = startWindow;
		if (typeof appWindow !== 'undefined') {
			found = true;
		}
		return found ? appWindow : null;
	};
	var appWindow = getMainApplicationWindow() || {};
	return {
		openDashboardItem: lang.hitch(appWindow, function(module,routine,patient,autoStartOptions){return this.OpenDashboardItem(module,routine,patient,autoStartOptions)}),
		showHelpMessage: lang.hitch(appWindow, function(url){return this.showHelpMessage(url)}),
		showWarningMessage: lang.hitch(appWindow, function(message, type){return this.warningArea.show(message, type)}),
		showAccountSummary: lang.hitch(appWindow, function(accountId){return this.showAccountSummary(accountId)}),
		showAtRiskDialog: lang.hitch(appWindow, function(){return this.showAtRiskDialog()}),
		selectAccount: lang.hitch(appWindow, function(accountId, calledFrom){return this.selectAccount(accountId, calledFrom)}),
		updateAccountInHeader: lang.hitch(appWindow, function(headerData){return this.updateAccountInHeader(headerData)})
	};
});